Subject: Re: Cygwin 1.1: setup of info files is incomplete.
From: Jason Tishler <[email-masked]>
To: "Masterson, Dave" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 30 Oct 2000 09:00:39 -0500

On Fri, Oct 27, 2000 at 02:00:10PM -0700, Masterson, Dave wrote:
> The 'info' command (from Texinfo) looks for "dir" (directory) files to
> determine what the menu is that should be displayed when invoked.  This file
> is not created by the installation of Cygwin 1.1.  However, the nature of
> this "dir file is such that it needs to be updated (pretty much) after every
> package installation -- it really can't be included in any particular
> package.  Could "setup" be adjusted to run "install-info" after every
> package installation?

I agree with the above, but I think that it should be generalized.
There are postinstall tasks that should be one-shot (i.e., as currently
implemented in setup) and ones that should be executed every time (e.g.,
regenerating the info dir files).  The question is how to best integrate
the support of both one-shot and every time postinstall scripts into DJ's
setup?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]